Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`scripts`.`trial``

module documentation
(source)

Undocumented

Class | `Options` | Options to the trial command line tool.
Function | `getTestModules` | Undocumented
Function | `isTestFile` | Returns true if 'filename' looks like a file containing unit tests. False otherwise. Doesn't care whether filename exists.
Function | `loadLocalVariables` | Accepts a filename and attempts to load the Emacs variable declarations from that file, simulating what Emacs does.
Function | `run` | Undocumented
Constant | `TBFORMAT_MAP` | Undocumented
Class | `_BasicOptions` | Basic options shared between trial and its local workers.
Exception | `_DebuggerNotFound` | A debugger import failed.
Function | `_checkKnownRunOrder` | Check that the given order is a known test running order.
Function | `_getLoader` | Undocumented
Function | `_getSuite` | Undocumented
Function | `_initialDebugSetup` | Undocumented
Function | `_makeRunner` | Return a trial runner class set up with the parameters extracted from `config`.
Function | `_maybeFindSourceLine` | Try to find the source line of the given test thing.
Function | `_parseLocalVariables` | Accepts a single line in Emacs local variable declaration format and returns a dict of all the variables {name: value}. Raises ValueError if 'line' is in the wrong format.
Function | `_reporterAction` | Undocumented
Function | `_wrappedPdb` | Wrap an instance of `pdb.Pdb` with readline support and load any .rcs.
Variable | `_runOrders` | Undocumented

def getTestModules(filename): (source)

Undocumented

def isTestFile(filename): (source)

Returns true if 'filename' looks like a file containing unit tests. False otherwise. Doesn't care whether filename exists.

def loadLocalVariables(filename): (source)

Accepts a filename and attempts to load the Emacs variable declarations from that file, simulating what Emacs does.

See http://www.gnu.org/software/emacs/manual/html_node/File-Variables.html

def run() -> `NoReturn`: (source)

Undocumented

TBFORMAT_MAP: `dict[str, str]` = (source)

Undocumented

Value

    {'plain': 'default',
     'default': 'default',
     'emacs': 'brief',
     'brief': 'brief',
     'cgitb': 'verbose',
     'verbose': 'verbose'}

def _checkKnownRunOrder(order): (source)

Check that the given order is a known test running order.

Does nothing else, since looking up the appropriate callable to sort the tests should be done when it actually will be used, as the default argument will not be coerced by this function.

Parameters
order | one of the known orders in `_runOrders`
Returns
the order unmodified

def _getLoader(config: `Options`) -> `runner.TestLoader`: (source)

Undocumented

def _getSuite(config: `Options`) -> `TestSuite`: (source)

Undocumented

def _initialDebugSetup(config: `Options`): (source)

Undocumented

def _makeRunner(config: `Options`) -> `runner._Runner`: (source)

Return a trial runner class set up with the parameters extracted from `config`.

Returns
`runner._Runner` | A trial runner instance.

def _maybeFindSourceLine(testThing): (source)

Try to find the source line of the given test thing.

Parameters
testThing:an `TestCase`, test method, or module, though only the former two have a chance to succeed | the test item to attempt to inspect
Returns
int | the starting source line, or -1 if one couldn't be found

def _parseLocalVariables(line): (source)

Accepts a single line in Emacs local variable declaration format and returns a dict of all the variables {name: value}. Raises ValueError if 'line' is in the wrong format.

See http://www.gnu.org/software/emacs/manual/html_node/File-Variables.html

def _reporterAction(): (source)

Undocumented

def _wrappedPdb(): (source)

Wrap an instance of `pdb.Pdb` with readline support and load any .rcs.

_runOrders = (source)

Undocumented